PDA

View Full Version : Error?



masoodstar
8th June 2010, 06:59 AM
Dear friends

I encountered an error during lbflow package installation (a scientific one).

The sequence of operations is here with error:

>>./configure --disable-gts
>>sudo make

[sudo] password for amp:
make all-recursive
make[1]: Entering directory `/home/amp/lbflow-1.1'
Making all in src
make[2]: Entering directory `/home/amp/lbflow-1.1/src'
source='lbflow.cpp' object='lbflow-lbflow.o' libtool=no \
DEPDIR=.deps depmode=none /bin/bash ../depcomp \
g++ -DHAVE_CONFIG_H -I. -I. -I.. -c -o lbflow-lbflow.o `test -f 'lbflow.cpp' || echo './'`lbflow.cpp
../depcomp: line 432: exec: g++: not found
make[2]: *** [lbflow-lbflow.o] Error 127
make[2]: Leaving directory `/home/amp/lbflow-1.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/amp/lbflow-1.1'
make: *** [all] Error 2

Do you have any idea to troubleshoot this problem?

Thanks

masoodstar
8th June 2010, 07:02 AM
Also the LBFLOW package is attached here.

diamond_ramsey
8th June 2010, 07:12 AM
:) masoodstar, thank you for your post. :)


...>>sudo make

[sudo] password for amp:
make all-recursive
make[1]: Entering directory `/home/amp/lbflow-1.1'
Making all in src
make[2]: Entering directory `/home/amp/lbflow-1.1/src'
source='lbflow.cpp' object='lbflow-lbflow.o' libtool=no \
DEPDIR=.deps depmode=none /bin/bash ../depcomp \
g++ -DHAVE_CONFIG_H -I. -I. -I.. -c -o lbflow-lbflow.o `test -f 'lbflow.cpp' || echo './'`lbflow.cpp
../depcomp: line 432: exec: g++: not found...Do you have any idea to troubleshoot this problem?...

Good question. :)

Try the following two commands. :)

=============================

[root@localhost ~]# yum list gcc
Loaded plugins: refresh-packagekit
Installed Packages
gcc.i686 4.4.3-4.fc12 @updates

[root@localhost ~]# which g++
/usr/bin/g++

=============================

You may need to yum install gcc if the gcc software is not installed on your system or verify the path. :)

I think that your error is related to the g++ binary not being found. :)

Hope this helps. ;)

masoodstar
8th June 2010, 07:28 AM
I don't know why I can't use yum in fedora!!

the error is:

[root@localhost lbflow-1.1]# yum list gcc
Loaded plugins: refresh-packagekit
Existing lock /var/run/yum.pid: another copy is running as pid 7225.
Another app is currently holding the yum lock; waiting for it to exit...
The other application is: yum
Memory : 19 M RSS (274 MB VSZ)
Started: Mon Jun 7 15:14:13 2010 - 10:16 ago
State : Traced/Stopped, pid: 7225

diamond_ramsey
8th June 2010, 07:38 AM
:) masoodstar, thank you for your posts. :)


...I don't know why I can't use yum in fedora!!

the error is:

[root@localhost lbflow-1.1]# yum list gcc
Loaded plugins: refresh-packagekit
Existing lock /var/run/yum.pid: another copy is running as pid 7225.
Another app is currently holding the yum lock; waiting for it to exit...
The other application is: yum
Memory : 19 M RSS (274 MB VSZ)
Started: Mon Jun 7 15:14:13 2010 - 10:16 ago
State : Traced/Stopped, pid: 7225


Try again as well as check to see if you have an eight point orange star on the top menu bar which indicates that there are outstanding yum updates/installs to be processed. This process 7225 may be a yum-backend process running. :)

Invoke ps -ef|grep 7225 to view what this process is. If the process is not running, then rerun the yum list gcc command. :)

Hope this helps. ;)